/*
===============================================================================
 Name        : main.c
 Author      : 
 Version     :
 Copyright   : Copyright (C)
 Description : main definition
===============================================================================
*/


#include "LPC13xx.h"
#include "board.h"
#include "gpio.h"
#include "timer16_delay.h"


#include <cr_section_macros.h>
#include <NXP/crp.h>

//#include <C:/nxp/LPCXpresso_4.3.0_1023/lpcxpresso/Tools/arm-none-eabi/include/redlib/stdlib.h>
//#include <C:/nxp/LPCXpresso_4.3.0_1023/lpcxpresso/Tools/arm-none-eabi/include/redlib/string.h>
//
//#include <C:/nxp/LPCXpresso_4.3.0_1023/lpcxpresso/Tools/arm-none-eabi/include/cr_section_macros.h>
//#include <C:/nxp/LPCXpresso_4.3.0_1023/lpcxpresso/Tools/arm-none-eabi/include/NXP/crp.h>
__CRP const unsigned int CRP_WORD = CRP_CRP2;

#if CONSOLE_PRINT
#include <C:/nxp/LPCXpresso_4.3.0_1023/lpcxpresso/Tools/arm-none-eabi/include/redlib/stdio.h>
#endif

int main(void)
    {
    LPC_SYSCON->SYSAHBCLKCTRL |= (1 << 6);	/* Enable clock to the GPIO peripheral */

    	LPC_GPIO1->DIR |= (1 << 5);				/* Set pin direction of PIO1_5 as output */
    	int i;

        while(1) {								/* Until power is available */

        	LPC_GPIO1->DATA |= (1 << 5);		/* Set the output of PIO1_5 as one */

        	for(i = 0; i < 1000000; i++)
        	{		/* Wait (500ms approx.) */
        	}

        	LPC_GPIO1->DATA &= ~(1 << 5);		/* Set the output of PIO1_5 as zero */

        	for(i = 0; i < 1000000; i++) {		/* Wait (500ms approx.) */
        	}
        }

return 0;
	
}
